Bug 5801 - adjust globusrun-ws to not destroy subscription resources in GT4.2
: adjust globusrun-ws to not destroy subscription resources in GT4.2
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: 4.1.2
: Macintosh All
: P2 major
: 4.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-01-21 16:14 by
Modified: 2008-04-17 16:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-21 16:14:38
Subscription resources of job resources are destroyed on the server-side
once the job resource is in a final state. globusrun-ws should not destroy
them anymore.

The new code of ws-gram can be found in branch ws-gram-bug5247.
------- Comment #1 From 2008-02-06 14:01:30 -------
Small change: the subscription resources are destroyed on the server-side
if the job resource is destroyed and not if the job resource is in a final
state.
------- Comment #2 From 2008-02-12 09:41:54 -------
Committed fix for this to ws-gram-bug5247 branch.
------- Comment #3 From 2008-04-17 16:01:39 -------
Martin merged this to CVS trunk.